//
//  Firework.h
//  PotVisualizer
//
//  Created by jay on 2014/10/11.
//  Copyright (c) 2014年 jay. All rights reserved.
//

#ifndef PotVisualizer_Firework_h
#define PotVisualizer_Firework_h
#include <GLUT/glut.h>
#include <OpenGL/gl.h>
#include <OpenGL/glu.h>

#define HAS_EXPLODED true
#define HAS_NOT_EXPLODED false

class Firework{

    public:
    
         Firework();
         //one firework contain a number of particles
         Firework(int);
    void Move();
    void newFirework();
    bool fireworkState();

         GLfloat* x;
         GLfloat* y;

    private:
         int numberOfFireworks;
         int numberOfFireParticles;
         GLfloat  particleSize;
         GLfloat* x_speed;
         GLfloat* y_speed;
         GLfloat  red;
         GLfloat  green;
         GLfloat  blue;
         GLfloat  Alpha;
         bool FIREWORK_STATE = HAS_NOT_EXPLODED;


    

};

#endif
